Bug 1282792 - [abrt] sqlitebrowser: QArrayData::allocate(): sqlitebrowser killed by SIGSEGV
[abrt] sqlitebrowser: QArrayData::allocate(): sqlitebrowser killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sqlitebrowser (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sandro Mani
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e86ee6eca9f47b7338e4e2732fe...
:
: 1285753 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 07:34 EST by Nicolas Laplante
Modified: 2015-11-27 15:52 EST (History)
4 users (show)

See Also:
Fixed In Version: sqlitebrowser-3.7.0-3.fc23 sqlitebrowser-3.7.0-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-27 13:22:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (690.90 KB, text/plain)
2015-11-17 07:34 EST, Nicolas Laplante
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-17 07:34 EST, Nicolas Laplante
no flags Details
File: core_backtrace (85.12 KB, text/plain)
2015-11-17 07:34 EST, Nicolas Laplante
no flags Details
File: dso_list (14.38 KB, text/plain)
2015-11-17 07:35 EST, Nicolas Laplante
no flags Details
File: environ (1.60 KB, text/plain)
2015-11-17 07:35 EST, Nicolas Laplante
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-17 07:35 EST, Nicolas Laplante
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-17 07:35 EST, Nicolas Laplante
no flags Details
File: maps (68.32 KB, text/plain)
2015-11-17 07:35 EST, Nicolas Laplante
no flags Details
File: mountinfo (3.75 KB, text/plain)
2015-11-17 07:35 EST, Nicolas Laplante
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-17 07:35 EST, Nicolas Laplante
no flags Details
File: open_fds (885 bytes, text/plain)
2015-11-17 07:35 EST, Nicolas Laplante
no flags Details
File: proc_pid_status (1013 bytes, text/plain)
2015-11-17 07:35 EST, Nicolas Laplante
no flags Details
File: var_log_messages (314 bytes, text/plain)
2015-11-17 07:35 EST, Nicolas Laplante
no flags Details

  None (edit)
Description Nicolas Laplante 2015-11-17 07:34:51 EST
Version-Release number of selected component:
sqlitebrowser-3.7.0-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        sqlitebrowser
crash_function: QArrayData::allocate
executable:     /usr/bin/sqlitebrowser
global_pid:     11932
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 QArrayData::allocate at tools/qarraydata.cpp:101
 #3 QTypedArrayData<QScriptItem>::allocate at ../../src/corelib/tools/qarraydata.h:216
 #4 QVector<QScriptItem>::reallocData at ../../src/corelib/tools/qvector.h:507
 #5 QVector<QScriptItem>::append at ../../src/corelib/tools/qvector.h:607
 #6 (anonymous namespace)::Itemizer::generateScriptItems at text/qtextengine.cpp:122
 #8 (anonymous namespace)::Itemizer::generate at text/qtextengine.cpp:88
 #9 QTextEngine::itemize at text/qtextengine.cpp:1679
 #10 QTextLayout::beginLayout at text/qtextlayout.cpp:588
 #11 QTextDocumentLayoutPrivate::layoutBlock at text/qtextdocumentlayout.cpp:2644
 #12 QTextDocumentLayoutPrivate::layoutFlow at text/qtextdocumentlayout.cpp:2454
Comment 1 Nicolas Laplante 2015-11-17 07:34:57 EST
Created attachment 1095467 [details]
File: backtrace
Comment 2 Nicolas Laplante 2015-11-17 07:34:58 EST
Created attachment 1095468 [details]
File: cgroup
Comment 3 Nicolas Laplante 2015-11-17 07:34:59 EST
Created attachment 1095469 [details]
File: core_backtrace
Comment 4 Nicolas Laplante 2015-11-17 07:35:01 EST
Created attachment 1095470 [details]
File: dso_list
Comment 5 Nicolas Laplante 2015-11-17 07:35:02 EST
Created attachment 1095471 [details]
File: environ
Comment 6 Nicolas Laplante 2015-11-17 07:35:03 EST
Created attachment 1095472 [details]
File: exploitable
Comment 7 Nicolas Laplante 2015-11-17 07:35:04 EST
Created attachment 1095473 [details]
File: limits
Comment 8 Nicolas Laplante 2015-11-17 07:35:05 EST
Created attachment 1095474 [details]
File: maps
Comment 9 Nicolas Laplante 2015-11-17 07:35:06 EST
Created attachment 1095475 [details]
File: mountinfo
Comment 10 Nicolas Laplante 2015-11-17 07:35:07 EST
Created attachment 1095476 [details]
File: namespaces
Comment 11 Nicolas Laplante 2015-11-17 07:35:08 EST
Created attachment 1095477 [details]
File: open_fds
Comment 12 Nicolas Laplante 2015-11-17 07:35:09 EST
Created attachment 1095478 [details]
File: proc_pid_status
Comment 13 Nicolas Laplante 2015-11-17 07:35:11 EST
Created attachment 1095479 [details]
File: var_log_messages
Comment 14 Sandro Mani 2015-11-17 07:41:41 EST
Can you remember what you were doing when the crash occurred?
Comment 15 Nicolas Laplante 2015-11-17 09:35:39 EST
In the browse data tab, add new row, then double click a field. The popup window appeared to edit the field, and it froze.
Comment 16 Sandro Mani 2015-11-17 09:54:27 EST
Thanks, can reproduce this.
Comment 17 Fedora Update System 2015-11-17 12:31:49 EST
sqlitebrowser-3.7.0-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ce9ec7e6b3
Comment 18 Fedora Update System 2015-11-19 09:52:45 EST
sqlitebrowser-3.7.0-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update sqlitebrowser'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ce9ec7e6b3
Comment 19 Fedora Update System 2015-11-19 10:27:49 EST
sqlitebrowser-3.7.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update sqlitebrowser'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a975780ffb
Comment 20 Fedora Update System 2015-11-19 11:56:19 EST
sqlitebrowser-3.7.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update sqlitebrowser'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a975780ffb
Comment 21 Sandro Mani 2015-11-26 06:48:54 EST
*** Bug 1285753 has been marked as a duplicate of this bug. ***
Comment 22 Fedora Update System 2015-11-27 13:22:33 EST
sqlitebrowser-3.7.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2015-11-27 15:52:49 EST
sqlitebrowser-3.7.0-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.